Class | Chef::Knife::CookbookUpload
In: | lib/chef/knife/cookbook_upload.rb
Parent: | Knife

### Methods

cookbook_repo environment run update_version_constraints warn_about_cookbook_shadowing

### Constants

CHECKSUM | = | "checksum"
MATCH_CHECKSUM | = | /[0-9a-f]{32,}/

### Public Instance methods

cookbook_repo()
environment()
run()
update_version_constraints(new_version_constraints)
warn_about_cookbook_shadowing()

[Validate]